@media screen and (max-width:767px) {
    .content-section .row{
        flex-wrap: wrap !important;
    }
    form#views-exposed-form-all-ads-page-2>div {
        display: grid !important;
        grid-gap: 15px !important;
    }

    :is(.path-all-ads, .path-today-deals, .path-taxonomy, .path-location, .path-category) .sidebar-first {
        background: unset !important;
        padding: unset !important;
    }

    form#views-exposed-form-all-ads-page-2>div> :is(div, fieldset) {
        display: grid !important;
        background: #fff;
        padding: 15px !important;
        margin: 0 !important;
    }

    form#views-exposed-form-all-ads-page-2 .form-actions {
        display: unset !important;
        background: unset !important;
        padding: unset !important;
    }

    :is(.path-all-ads, .path-today-deals, .path-taxonomy, .path-location, .path-category) .sidebar-first form#views-exposed-form-all-ads-page-2>div> :is(div, fieldset) {
        background: #fff;
    }

    :is(.view-ads, .path-taxonomy) .views-view-responsive-grid {
        --views-responsive-grid--column-count: 2 !important;
        --views-responsive-grid--layout-gap: 10px !important;
    }

    .block-header-wrapper h2 {
        font-size: 20px !important;
    }

    .header-top-middle form input,
    .header-top-middle form select,
    .mobile-menu-contents form input {
        padding: 5px 10px !important;
    }

    .mobile-menu-contents form input[type="submit"] {
        background-size: 20px !important;
        min-width: 40px !important;
    }

    #block-ghanadeal-views-block-homepag-block-1 {
        display: none !important;
    }

    #block-ghanadeal-views-block-homepag-block-2 {
        display: block !important;

    }

    .views-view-responsive-grid {
        --views-responsive-grid--column-count: 2 !important;
        --views-responsive-grid--layout-gap: 10px !important;
    }

    #block-ghanadeal-views-block-homepag-block-2 .category-wrapper a:last-child {
        max-width: 60%;
    }


    #block-ghanadeal-views-block-homepag-block-2 .owl-stage-outer {
        background: #fff;
        z-index: 1;
    }

    #block-ghanadeal-views-block-homepag-block-2 .owl-stage-outer .owl-stage {
        display: flex;
        align-items: stretch;
    }

    #block-ghanadeal-views-block-homepag-block-2 .owl-stage-outer .owl-stage .owl-item {
        padding: 15px 0px;
        display: grid;
        width: 100% !important;
        align-items: center;
    }

    #block-ghanadeal-views-block-homepag-block-2 .owl-nav button span {
        font-size: 45px;
        vertical-align: text-top;
    }

    #block-ghanadeal-views-block-homepag-block-2 .owl-nav {
        position: absolute;
        top: 0;
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        height: 100%;
        margin: 0;
    }

    #block-ghanadeal-views-block-homepag-block-2 .owl-nav button {
        width: 33px;
        height: 100%;
        background: #fff;
        margin: 0;
        font-size: 70px;
        font-weight: 100;
        color: #ccc;
        opacity: 1;
        z-index: 1;
        transition: color 0.3s ease;
    }

    #block-ghanadeal-views-block-homepag-block-2 .owl-nav button:hover {
        color: #000;
    }

    #block-ghanadeal-views-block-homepag-block-2 .owl-nav button.disabled:hover {
        color: #ccc;
    }

    .mobile-menu-contents .js-form-item {
        display: none;
    }

    .mobile-menu-contents .form-item-title {
        display: block;
    }

    .mobile-menu-contents form input {
        border-radius: 0 !important;
    }

    .mobile-menu-contents .block-views-exposed-filter-blockall-ad-products-page-1 {
        position: relative;
    }

    .mobile-menu-contents .block-views-exposed-filter-blockall-ad-products-page-1 input.js-form-submit {
        position: absolute;
        top: 0;
        right: 0;
    }

    .region-sidebar-first form#views-exposed-form-all-ad-products-page-1>div> :is(div, fieldset) {
        background: #fff;
        padding: 15px !important;
        margin: 0 !important;
    }
    .region-sidebar-first input.js-form-submit {
        background: #0E6722;
        border-color: #0E6722;
        color: #fff;
        border-radius: 5px;
        transition: .3s ease-in-out;
    }

    .map-section svg {
        max-width: 100%;
        height: auto;
    }

    .map-section section {
        display: grid !important;
        place-content: center !important;
    }

    .views-row>div {
        width: 100% !important;
    }

    .view-id-ads.view-display-id-block_2 .views-row {
        display: grid !important;
    }

    .owl-item {
        min-width: 9rem;
    }

    .user-info.d-flex {
        flex-wrap: wrap !important;
        row-gap: 5px;
    }

    .price-info {
       text-align: start;
    }

    /* .location {
        max-height: 4rem;
        min-height: 3rem;
        overflow-y:auto;
    } */
    .Ad-wrapper .title {
        padding: .5rem .3rem;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
    .region-mobile-menu .block-views-exposed-filter-blockall-ad-products-page-7 {
        position: relative;
    }

    .mobile-menu-contents form input[type="submit"] {
        background-color: rgb(139, 0, 0);
        color: #fff;
        border: solid rgb(139, 0, 0);
        position: absolute;
        top: 0;
        right: 0;
    }

    .mobile-menu-contents form input[type="search"] {
        border-radius: unset;
        border: 1px solid rgb(139, 0, 0) !important;
    }


    .blog-tags {
        display: flex;
        gap: 6px;
        flex-direction: row;
        align-items: center;
        margin-top: 6px;
    }
    .sidebar-second {
        display: block !important;
    }
    .region-sidebar-second .views-view-responsive-grid.views-view-responsive-grid--horizontal {
        width: 100% !important;
        grid: none;
    }

    /*********** user-page ***************/

    .path-user .sidebar-second {
        margin-top: 10px !important;
        padding: 5px !important;
    }

}

/* @media screen and (max-width:330px){ */
/* .views-row, .views-view-responsive-grid.views-view-responsive-grid--horizontal{
        display: grid;
        grid-template-columns: repeat(1,1FR) !important;
    } */

/* } */
@media screen and (max-width:350px){
    .view-recent-blogs .views-view-responsive-grid.views-view-responsive-grid--horizontal {
        grid: none !important;
    }

}


@media screen and (max-width:425px) {
    .reply-by-email-form-wrapper {
        width: 80%;
    }
    button.close-btn {
        transform: scale(1.2);
    }
    .reply-by-email-form-wrapper h3 {
        font-size: 22px !important;
    }
    .product_flags {
        flex-wrap: wrap !important;
    }
    .username {
        max-width: 52% !important;
    }
}


@media screen and (min-width:425px) {
    .username {
        max-width: 52% !important;
    }
    .location {
        max-width: 68% ;
    }
    .location a {
        width: 100%;
    }
}

@media screen and (max-width:767px){
    .wallet-layout {
        flex-direction: column !important;
    }
    .region-content div#block-ghanadeal-content {
        padding: 0;
    }
    .my-wallet-form {
        & .wallet-layout {
            & .card-section {
                h2 {
                    font-size: 20px;
                }
            }
        }
    }
}

